Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#1818 closed bug (fixed)

date formatting not correct when browsing in translation mode

Reported by: sanderr Owned by: shevek
Priority: minor Milestone: 1.4
Component: BW Forum Keywords:
Cc: mahouni

Description

I'm a translator. When I'm browsing the forum in translation mode, I get a weird formatted date string.

I expect this: 2012/04/12 23:08 Visibility:GroupOnly

But I get this: <02ppm4 2012-04-12T23:08:02+02:00Thursdaypm0202="30Thu, 12 Apr 2012 23:08:02 +0200_02ppm4">2012/04/12 23:08 Visibility:GroupOnly

So, <02ppm4 2012-04-12T23:08:02+02:00Thursdaypm0202="30Thu, 12 Apr 2012 23:08:02 +0200_02ppm4"> is extra.

Maybe we will not fix this in BWRox, but it might be nice to know that it's there.

Attachments (1)

20121120_forum_datetime_formatting_translation_mode.png (18.9 KB) - added by sanderr 6 years ago.
screenshot of the issue

Download all attachments as: .zip

Change History (10)

Changed 6 years ago by sanderr

screenshot of the issue

comment:1 Changed 6 years ago by shevek

  • Milestone changed from unassigned to 1.4
  • Owner set to shevek
  • Status changed from new to assigned

comment:2 Changed 6 years ago by shevek

  • Cc mahouni added

comment:3 Changed 6 years ago by shevek

  • Status changed from assigned to local_testing

comment:4 Changed 6 years ago by mahouni

  • Status changed from local_testing to to_alpha

Accidentally tested locally. Works fine, code reviewed.

comment:5 Changed 6 years ago by jsfan

  • Status changed from to_alpha to testing

comment:6 Changed 6 years ago by shevek

  • Resolution set to fixed
  • Status changed from testing to closed

Date format on alpha isn't broken anymore when switching to edit mode.

comment:7 Changed 6 years ago by beatnickgr

thank you, finally!! :D

comment:8 Changed 6 years ago by planetcruiser

tested ok, i see dates like this now: "2013/01/17 08:36"

<rant>injecting translation editor code in string retrieval functions is a, let's say "interesting" idea to begin with. wysiwyg gone terribly wrong.</rant> ;)

comment:9 Changed 6 years ago by shevek

If people would use the right function on the words module that wouldn't happen...

Note: See TracTickets for help on using tickets.